package com.yonge.cooleshow.biz.dal.service;

import com.yonge.cooleshow.auth.api.dto.RealnameAuthReq;
import com.yonge.cooleshow.auth.api.entity.SysUser;
import com.yonge.cooleshow.biz.dal.enums.ClientEnum;
import com.yonge.toolset.utils.idcard.IdcardInfoExtractor;

public interface SysUserService{

    Long getUserId();

    SysUser getUser();

    SysUser findUserById(Long userId);

    /**
     * 实名 + 注册协议
     *
     *  @param realNameAuthDto
     * @param sysUser
     * @param client
     */
    IdcardInfoExtractor updateUserCard(RealnameAuthReq realNameAuthDto, SysUser sysUser, ClientEnum client);
}